<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9557.xslt, u1 15 augustus 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gds802="http://ei.vektis.nl/declaratiebericht574">

	<!-- retourcode 9557: Indien PrestatieCodelijstCode = 079 (= GLI), dan moet Verwijzer voorkomen. -->
	<xsl:template name="rc9557">
		<xsl:param name="PrestatieCodelijstCode"/>
		<xsl:param name="Verwijzer"/>
		
		<xsl:if test="($PrestatieCodelijstCode='079' and not($Verwijzer))">
			<gds802:Feedback>
				<gds802:Retourcode>9557</gds802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gds802:BetrokkenElement>
					<gds802:Elementnaam><xsl:value-of select="local-name($PrestatieCodelijstCode)"/></gds802:Elementnaam>
					<gds802:Elementwaarde><xsl:value-of select="$PrestatieCodelijstCode"/></gds802:Elementwaarde>
				</gds802:BetrokkenElement>
			</gds802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
